Summary: The exmh mail handling system.
Name: exmh
Version: 2.1.1
Release: 5mdk
Requires: mh metamail
Copyright: freeware
Group: Networking/Mail
BuildArchitectures: noarch
Source0: ftp://ftp.scriptics.com/pub/tcl/exmh/exmh-%{PACKAGE_VERSION}.tar.bz2
Url: http://www.beedub.com/exmh/
Source1: exmh.wmconfig
Patch1: exmh-%{PACKAGE_VERSION}-conf.patch.bz2
Patch2: exmh-2.0.2-smproxy.patch.bz2
BuildRoot: /var/tmp/exmh-root

%description
Exmh provides an X interface for MH/nmh mail, a feature-rich email
handling system.  Exmh supports almost all (but not all) of MH's
features: viewing the messages in a folder, reading/deleting/refiling
messages, and sorting arriving mail into different folders before the
messages are read. Exmh highlights which folders have new mail, and
indicates which messages have not been read (so you don't lose the sorted,
unread mail).

If you like MH/nmh mail, you should install exmh, because it makes the
MH/nmh mail system much more user friendly.  You may also want to use
exmh if you prefer a graphical user interface for your mail client.  Note
that you will also have to install the nmh package.

%prep
%setup -q -n exmh-%{PACKAGE_VERSION}
for i in *.MASTER; do
	cp $i ${i%%.MASTER}
done
%patch1 -p1
%patch2 -p1
find . -name "*.orig" -exec rm {} \;

%build
echo 'auto_mkindex ./lib *.tcl' | tclsh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
mkdir -p $RPM_BUILD_ROOT/usr/lib/exmh-%{PACKAGE_VERSION}

for i in exmh exmh-bg exmh-async ftp.expect; do
	install -m755 $i $RPM_BUILD_ROOT/usr/bin
done
for i in *.l; do
	install -m644 $i $RPM_BUILD_ROOT/usr/man/man1/${i%%.l}.1
done

cp -ar lib/* $RPM_BUILD_ROOT/usr/lib/exmh-%{PACKAGE_VERSION}

install -m644 $RPM_SOURCE_DIR/exmh.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/exmh


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/exmh <<EOF
?package(exmh):\
command="/usr/bin/exmh"\
title="Exmh"\
longtitle="a tk-based mail reader"\
needs="x11"\
section="Networking/Mail"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
   if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
   fi
fi


%files
%defattr(-,root,root)
%doc COPYRIGHT exmh.CHANGES exmh.README
%config /etc/X11/wmconfig/exmh
/usr/bin/exmh
/usr/bin/exmh-bg
/usr/bin/exmh-async
/usr/bin/ftp.expect
/usr/lib/exmh-%{PACKAGE_VERSION}
/usr/lib/menu/*
/usr/man/man1/exmh.1.bz2

%changelog
* Thu Apr 17 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-5mdk
- Add a menu entry.

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-4mdk
- fix group

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.1.1-3mdk
- Fix group.
- Removed innexistant documentation file.

* Wed Nov  3 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge rh patchs.
- 2.1.1.

* Sun Jul 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.0.3

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Apr 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- added smproxy patch from Owen Taylor

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Donnie Barnes <djb@redhat.com>
- updated to 2.0.2

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig support
